Bug 1478779 - fish package has an incomplete list of dependencies
fish package has an incomplete list of dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fish (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Lutomirski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 00:19 EDT by Andrew Toskin
Modified: 2017-11-15 15:08 EST (History)
4 users (show)

See Also:
Fixed In Version: fish-2.6.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-15 15:08:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Toskin 2017-08-07 00:19:16 EDT
fish's default collection of commands and functionality assume the system has a lot more packages installed than their source installation guide would suggest. For example, tab completion uses the `apropos` command (from package man-db), which was not available even after I installed fish, in the minimal Fedora Atomic Host environment.

See this discussion on GitHub:
https://github.com/fish-shell/fish-shell/issues/2062
Comment 1 Andrew Toskin 2017-08-15 00:24:10 EDT
Okay, both of the pull requests I submitted against fish's build documentation have merged. I think the current dependency list should finally be complete... See the latest README upstream:

https://github.com/fish-shell/fish-shell#building
Comment 2 Fedora Update System 2017-10-09 11:45:20 EDT
fish-2.6.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-82f6fc0638
Comment 3 Fedora Update System 2017-10-09 11:45:57 EDT
fish-2.6.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0972f702e
Comment 4 Fedora Update System 2017-10-10 22:53:26 EDT
fish-2.6.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0972f702e
Comment 5 Fedora Update System 2017-10-11 02:27:52 EDT
fish-2.6.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-82f6fc0638
Comment 6 Andrew Toskin 2017-10-15 01:19:04 EDT
Sorry, I don't think the dependencies for the fish package are complete quite yet. Again, based on the newly documented runtime and build dependencies documented upstream -- https://github.com/fish-shell/fish-shell/blob/master/README.md -- I think you still need to add:

Requires: gawk
Requires: findutils
Requires: pcre2
Requires: ncurses
Requires: gettext
Requires: grep
Requires: coreutils
Requires: util-linux
Requires: procps-ng
Requires: sed

BuildRequires: gcc-c++
BuildRequires: muParser-devel

This is listed as optional, but I think it would be good to include it too. "Builtin commands that have the --help option or print usage messages require nroff and ul (manual page formatters) to do so." We could maybe call it a Recommends.

Recommends: groff-base
Comment 7 Fedora Update System 2017-11-15 15:08:11 EST
fish-2.6.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.